import { getProducts } from '@/data'
import { ApplicationLayout } from './application-layout'

export default async function RootLayout({ children }: { children: React.ReactNode }) {
  let products = await getProducts()

  return <ApplicationLayout products={products}>{children}</ApplicationLayout>
}
